//package com.tmerclub.cloud.systemtest.api.marketing;
//
//import com.alibaba.fastjson2.JSON;
//import com.tmerclub.cloud.common.database.vo.PageVO;
//import com.tmerclub.cloud.common.util.Json;
//import com.tmerclub.cloud.live.dto.LiveProdStoreDTO;
//import com.tmerclub.cloud.live.model.LiveProdStore;
//import com.tmerclub.cloud.live.model.LiveRoom;
//import com.tmerclub.cloud.live.model.LiveUser;
//import com.moyuer.cloud.systemtest.constants.Constant;
//import com.moyuer.cloud.systemtest.util.HttpUtil;
//import com.moyuer.cloud.systemtest.util.UrlEnum;
//
//import java.util.List;
//
///**
// * @author lpj
// */
//public class LiveApi {
//    /**
//     * 商家获取直播商品列表
//     */
//    public static List<LiveProdStore> getLiveProdStorePage() {
//        String url = Constant.API_URL + "/mall4cloud_marketing/m/live_prod_store/page?pageNum=1&pageSize=10&name=";
//        return JSON.parseArray(JSON.toJSONString(Json.parseObject(JSON.toJSONString(HttpUtil.get(url, PageVO.class, UrlEnum.SHOP)), PageVO.class).getList()), LiveProdStore.class);
//    }
//
//    /**
//     * 新增直播商品
//     */
//    public static void saveLiveProdStore(LiveProdStoreDTO liveProdStoreDTO) {
//        String url = Constant.API_URL + "/mall4cloud_marketing/m/live_prod_store";
//        HttpUtil.post(url, liveProdStoreDTO, UrlEnum.SHOP);
//    }
//
//    /**
//     * 获取直播商品信息
//     */
//    public static LiveProdStore getLiveProdStore(Long liveProdStoreId) {
//        String url = Constant.API_URL + "/mall4cloud_marketing/m/live_prod_store/info/" + liveProdStoreId;
//        return HttpUtil.get(url, LiveProdStore.class, UrlEnum.SHOP);
//    }
//
//    /**
//     * 修改直播商品
//     */
//    public static void updateLiveProdStore(LiveProdStoreDTO liveProdStoreDTO) {
//        String url = Constant.API_URL + "/mall4cloud_marketing/m/live_prod_store";
//        HttpUtil.put(url, liveProdStoreDTO, UrlEnum.SHOP);
//    }
//
//    /**
//     * 提交审核
//     */
//    public static void submitVerify(LiveProdStore liveProdStore) {
//        String url = Constant.API_URL + "/mall4cloud_marketing/m/live_prod_store/submitVerify";
//        HttpUtil.put(url, liveProdStore, UrlEnum.SHOP);
//    }
//
//    /**
//     * 删除直播商品
//     */
//    public static void deleteLiveProdStore(Long liveProdStoreId) {
//        String url = Constant.API_URL + "/mall4cloud_marketing/m/live_prod_store/" + liveProdStoreId;
//        HttpUtil.delete(url, UrlEnum.SHOP);
//    }
//
//    /**
//     * 商家获取直播间列表
//     */
//    public static List<LiveRoom> getLiveRoomPage() {
//        String url = Constant.API_URL + "/mall4cloud_marketing/m/live_room/page?pageNum=1&pageSize=10&name=&anchorName=&liveStatus=&roomTop=";
//        return JSON.parseArray(JSON.toJSONString(Json.parseObject(JSON.toJSONString(HttpUtil.get(url, PageVO.class, UrlEnum.SHOP)), PageVO.class).getList()), LiveRoom.class);
//    }
//
//    /**
//     * 新增直播间
//     */
//    public static void saveLiveRoom(LiveRoom liveRoom) {
//        String url = Constant.API_URL + "/mall4cloud_marketing/m/live_room";
//        HttpUtil.post(url, liveRoom, UrlEnum.SHOP);
//    }
//
//    /**
//     * 删除直播间
//     */
//    public static void deleteLiveRoom(Long liveRoomId) {
//        String url = Constant.API_URL + "/mall4cloud_marketing/m/live_room?id=" + liveRoomId;
//        HttpUtil.delete(url, UrlEnum.SHOP);
//    }
//
//    /**
//     * 获取直播成员
//     */
//    public static List<LiveUser> getLiveUserPage() {
//        String url = Constant.API_URL + "/mall4cloud_marketing/p/live_user/page?pageNum=1&pageSize=10&nickName=&anchorWechat=&roles=";
//        return JSON.parseArray(JSON.toJSONString(Json.parseObject(JSON.toJSONString(HttpUtil.get(url, PageVO.class, UrlEnum.PLATFORM)), PageVO.class).getList()), LiveUser.class);
//    }
//
//}
