/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.constant;

import com.tmerclub.cloud.common.leaf.constant.GlobalDistributedIdKey;

/**
 * 分布式id key
 *
 * @author FrozenWatermelon
 * @date 2021/4/9
 */
public interface DistributedIdKey {

    /**
     * 平台用户id
     */
    String MALL4CLOUD_PLATFORM_USER = "mall4cloud-platform-user";

    /**
     * 商家用户id
     */
    String MALL4CLOUD_MULTISHOP_USER = "mall4cloud-multishop-user";

    /**
     * 供应商用户id
     */
    String MALL4CLOUD_SUPPLIER_USER = "mall4cloud-supplier-user";

    /**
     * 钱包日志id
     */
    String MALL4CLOUD_SHOP_WALLET_LOG = GlobalDistributedIdKey.MALL4CLOUD_SHOP_WALLET_LOG.value();

    /**
     * 系统权限
     */
    String MALL4CLOUD_AUTHORIZATION = "mall4cloud-authorization";

    /**
     * 采购金额日志
     */
    String PURCHASE_AMOUNT_LOG = "mall4cloud-purchase-amount-log";
}
