/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.multishop.service.impl;

import com.tmerclub.cloud.multishop.mapper.ShopExtensionMapper;
import com.tmerclub.cloud.multishop.model.ShopExtension;
import com.tmerclub.cloud.multishop.service.ShopExtensionService;
import com.tmerclub.cloud.multishop.vo.ShopExtensionVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 店铺扩张信息
 *
 * @author YXF
 * @date 2021-02-05 15:36:12
 */
@Service
public class ShopExtensionServiceImpl implements ShopExtensionService {

    @Autowired
    private ShopExtensionMapper shopExtensionMapper;

    @Override
    public void save(ShopExtension shopExtension) {
        shopExtensionMapper.save(shopExtension);
    }

    @Override
    public void update(ShopExtensionVO shopExtension) {
        shopExtensionMapper.update(shopExtension);
    }

}
