/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.supplier.service;

import com.tmerclub.cloud.supplier.model.SupplierExtension;
import com.tmerclub.cloud.supplier.vo.SupplierExtensionVO;

/**
 * 供应商扩张信息
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
public interface SupplierExtensionService {

    /**
     * 保存供应商扩张信息
     * @param supplierExtension 供应商扩张信息
     */
    void save(SupplierExtension supplierExtension);

    /**
     * 更新供应商扩张信息
     * @param supplierExtension 供应商扩张信息
     */
    void update(SupplierExtensionVO supplierExtension);
}
