/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.supplier.feign;

import com.tmerclub.cloud.api.multishop.vo.ShopUserVO;
import com.tmerclub.cloud.api.supplier.vo.SupplierApiUserVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @author chiley
 * @date 2022/7/13 15:34
 */

public interface SupplierUserFeignClient {
    /**
     * 根据手机号码查询账户数量
     *
     * @param mobile 手机号码
     * @return 账户数量
     */
    ServerResponseEntity<Integer> countAccoutByMobile(String mobile);


    /**
     * 根据userId获取供应商员工和账号信息
     * @param userId
     * @return
     */
    ServerResponseEntity<SupplierApiUserVO> getByUserId(Long userId);
}
