/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.combo.feign;

import com.tmerclub.cloud.common.product.vo.ComboSpuVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * @author xxw
 * @date 2022/9/28 9:45
 */
public interface ComboSpuFeignClient {

    /**
     * 根据套餐id获取套餐项商品信息
     * @param comboId
     * @return
     */
    ServerResponseEntity<List<ComboSpuVO>> comboSpuByComboId(Long comboId);

}
