/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.delivery.feign;


import com.tmerclub.cloud.common.order.vo.AreaVO;

import java.util.List;

/**
 * @author YXF
 * @date 2021/06/02
 */
public interface AreaFeignClient {

    /**
     * 获取省信息列表
     * @return 省信息列表
     */
    List<AreaVO> listProvinceArea();

    /**
     * 根据地区id获取信息列表
     * @param areaIdList
     * @return
     */
    List<AreaVO> listByAreaIdList(List<Long> areaIdList);

}
