/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.order.feign;

import com.tmerclub.cloud.common.order.vo.OrderAddrVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @Author lth
 * @Date 2021/11/22 9:20
 */
public interface OrderAddrFeignClient {

    /**
     * 根据订单id获取订单地址
     * @param orderId
     * @return
     */
    ServerResponseEntity<OrderAddrVO> getOrderAddrByOrderId(Long orderId);
}
