/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.order.vo;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author FrozenWatermelon
 * @date 2023/05/22
 */
public class ShopAmountVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 收款金额
     */
    private Long amount;

    /**
     * 通常为店铺id,供应商id
     */
    private String bizUserId;

    public Long getAmount() {
        return amount;
    }

    public void setAmount(Long amount) {
        this.amount = amount;
    }

    public String getBizUserId() {
        return bizUserId;
    }

    public void setBizUserId(String bizUserId) {
        this.bizUserId = bizUserId;
    }

    @Override
    public String toString() {
        return "ShopAmountVO{" +
                "amount=" + amount +
                ", bizUserId=" + bizUserId +
                '}';
    }
}
