/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.user.bo;

import java.io.Serial;
import java.io.Serializable;
/**
 * 购买vip
 * @author FrozenWatermelon
 */
public class BuyVipNotifyBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long userLevelLogId;

    private Integer payType;

    private Long payId;

    public BuyVipNotifyBO() {
    }

    public BuyVipNotifyBO(Long userLevelLogId, Integer payType, Long payId) {
        this.userLevelLogId = userLevelLogId;
        this.payType = payType;
        this.payId = payId;
    }

    public Long getUserLevelLogId() {
        return userLevelLogId;
    }

    public void setUserLevelLogId(Long userLevelLogId) {
        this.userLevelLogId = userLevelLogId;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    @Override
    public String toString() {
        return "BuyVipNotifyBO{" +
                "userLevelLogId=" + userLevelLogId +
                ", payType=" + payType +
                ", payId=" + payId +
                '}';
    }
}
