/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.user.feign;

import com.tmerclub.cloud.common.order.vo.UserConsigneeVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * 用户地址feign连接
 * @author FrozenWatermelon
 * @date 2020/12/07
 */
public interface UserConsigneeFeignClient {


    /**
     * 根据地址id获取用户提货人信息
     * @return 用户地址信息
     */
    ServerResponseEntity<UserConsigneeVO> getUseConsignee();

}
