/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.cache.constant;

/**
 * @author FrozenWatermelon
 * @date 2020/11/23
 */
public interface OrderCacheNames {

    /**
     * 前缀
     */
    String ORDER_PREFIX = "mall4cloud_order:";

    /**
     * 确认订单信息缓存
     */
    String ORDER_CONFIRM_KEY = ORDER_PREFIX + "order:confirm";

    /**
     * 订单uuid
     */
    String ORDER_CONFIRM_UUID_KEY = ORDER_PREFIX + "order:uuid_confirm";

    /**
     * 订单留存分析
     */
    String ORDER_TRADE_RETAINED_KEY = ORDER_PREFIX + "order:trade_retained";

    /**
     * 开通通联支付的状态
     */
    String ALLINPAY_CONFIG_KEY = ORDER_PREFIX + "allinpay_config:";

    /**
     * 单个商品退款时，主商品订单项对应的赠品订单项信息
     */
    String REFUND_GIVEAWAY_ORDER_ITEM = ORDER_PREFIX + "refund_giveaway_order_item:";
}
