/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.order.feign;

import com.tmerclub.cloud.common.order.vo.ShopInfoInOrderVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @author FrozenWatermelon
 * @date 2020/11/23
 */
public interface OrderShopDetailFeignClient {


    /**
     * 根据店铺id获取店铺在订单当中的信息
     *
     * @param shopId 店铺id
     * @return 店铺名称
     */
    ServerResponseEntity<ShopInfoInOrderVO> getShopInfoInOrderByShopId(Long shopId);

}
