package com.tmerclub.cloud.common.product.constant;/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */


/**
 * @author xxw
 * @date 2022/7/5 13:52
 * 当前供应商品sku是否可卖
 */
public enum SkuIsSell {
    /**
     * 不可售卖
     */
    NO_SELL(0),

    /**
     * 可售卖
     */
    CAN_SELL(1);

    private final Integer value;

    SkuIsSell(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }
}
