package com.tmerclub.cloud.common.product.constant;
/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

/**
 * @author xxw
 * @date 2022/7/13 9:46
 * 供应商品变更类型
 */
public enum SupplierSpuChangeType {
    /**
     * 上架
     */
    PUT_SHELF(1),
    /**
     * 下架
     */
    OFF_SHELF(2),

    /**
     * 代销sku信息变更
     */
    SKU_MSG_CHANGE(3),

    /**
     * 新增sku
     */
    ADD_SKU(4),

    /**
     * 代销spu信息变更
     */
    SPU_MSG_CHANGE(5);

    private final Integer value;

    public Integer value() {
        return value;
    }

    SupplierSpuChangeType(Integer value) {
        this.value = value;
    }
}
