/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 属性与属性分组关联信息VO
 *
 * @author YXF
 * @date 2020-11-23 16:20:01
 */
public class AttrCategoryVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "属性与分类关联id")
    private Long attrCategoryId;

    @Schema(description = "分类id")
    private Long categoryId;

    @Schema(description = "属性id")
    private Long attrId;

    public Long getAttrCategoryId() {
        return attrCategoryId;
    }

    public void setAttrCategoryId(Long attrCategoryId) {
        this.attrCategoryId = attrCategoryId;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public Long getAttrId() {
        return attrId;
    }

    public void setAttrId(Long attrId) {
        this.attrId = attrId;
    }

    @Override
    public String toString() {
        return "AttrCategoryVO{" +
                "attrCategoryId=" + attrCategoryId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",categoryId=" + categoryId +
                ",attrId=" + attrId +
                '}';
    }
}
