/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.security;

import com.alibaba.ttl.TransmittableThreadLocal;

/**
 * @author xxw
 * @version 1.0
 * @description:
 * @since 2024/1/4 11:23
 */
public class AuthTokenContext {
    private static final ThreadLocal<String>TOKEN_LOCAL = new TransmittableThreadLocal<>();

    public static String getToken() {
        return TOKEN_LOCAL.get();
    }

    public static void setToken(String request) {
        TOKEN_LOCAL.set(request);
    }

    public static void cleanToken() {
        TOKEN_LOCAL.remove();
    }
}
