/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.group.vo.app;

import java.io.Serial;
import java.io.Serializable;


/**
 * @author YXF
 * @date 2021/3/26
 */
public class AppJoinGroupTeamVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 当前用户参团的团队ID（null表示还没有参加该活动）
     */
    private Long joinGroupTeamId;
    /**
     * 已交易数量
     */
    private Integer prodCount;

    public Long getJoinGroupTeamId() {
        return joinGroupTeamId;
    }

    public void setJoinGroupTeamId(Long joinGroupTeamId) {
        this.joinGroupTeamId = joinGroupTeamId;
    }

    public Integer getProdCount() {
        return prodCount;
    }

    public void setProdCount(Integer prodCount) {
        this.prodCount = prodCount;
    }

    @Override
    public String toString() {
        return "AppJoinGroupTeamVO{" +
                "joinGroupTeamId=" + joinGroupTeamId +
                ", prodCount=" + prodCount +
                '}';
    }
}
