/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.coupon.dto;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 发放用户优惠券DTO
 *
 * @author YXF
 * @date 2020-12-08 17:22:57
 */
public class UserCouponsDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 用户id列表
     */
    private List<Long> userIds;
    /**
     * 发放给用户优惠券的数量
     */
    private List<SendCoupon> sendCoupons;

    public List<Long> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<Long> userIds) {
        this.userIds = userIds;
    }

    public List<SendCoupon> getSendCoupons() {
        return sendCoupons;
    }

    public void setSendCoupons(List<SendCoupon> sendCoupons) {
        this.sendCoupons = sendCoupons;
    }

    @Override
    public String toString() {
        return "UserCouponsDTO{" +
                "userIds=" + userIds +
                ", sendCoupons=" + sendCoupons +
                '}';
    }

    public static class SendCoupon implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
        /**
         * 优惠券id
         */
        private Long couponId;
        /**
         * 发放给用户优惠券的数量
         */
        private Integer nums;

        public Long getCouponId() {
            return couponId;
        }

        public void setCouponId(Long couponId) {
            this.couponId = couponId;
        }

        @Override
        public String toString() {
            return "SendCoupon{" +
                    "couponId=" + couponId +
                    ", nums=" + nums +
                    '}';
        }

        public Integer getNums() {
            return nums;
        }

        public void setNums(Integer nums) {
            this.nums = nums;
        }
    }
}
