/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.distribution.service;


import com.tmerclub.cloud.api.platform.vo.DistributionConfigApiVO;
import com.tmerclub.cloud.api.platform.vo.DistributionRecruitConfigApiVO;

/**
 * 分销员配置信息信息
 *
 * @author cl
 * @date 2021-08-12 10:05:31
 */
public interface DistributionConfigService {


    /**
     * 获取分销基本配置信息
     * @return 分销基本配置信息
     */
    DistributionConfigApiVO getDistributionConfig();

    /**
     * 获取分销推广配置信息
     * @return 分销推广配置信息
     */
    DistributionRecruitConfigApiVO getDistributionRecruitConfig();

}
