/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.order.constant;

/**
 * 退款申请类型 1,仅退款,2退款退货
 *
 * @author FrozenWatermelon
 */
public enum RefundApplyType {
    /**
     * 仅退款
     */
    REFUND(1),
    /**
     * 退款退货
     */
    REFUND_AND_RETURNS(2);

    private final Integer num;

    RefundApplyType(Integer num) {
        this.num = num;
    }

    public Integer value() {
        return num;
    }

    public static RefundApplyType instance(Integer value) {
        RefundApplyType[] enums = values();
        for (RefundApplyType statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
