package com.tmerclub.cloud.order.service;

import com.tmerclub.cloud.api.user.dto.FinanceDetailDTO;
import com.tmerclub.cloud.api.user.vo.FinanceDetailExcelVO;
import com.tmerclub.cloud.api.user.vo.FinanceDetailVO;
import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.vo.PageVO;

import java.util.List;

/**
 * @author TRACK
 */
public interface OrderFinanceService {

    /**
     * 分页获取财务明细
     * @param pageDTO
     * @param financeDetailDTO
     * @return
     */
    PageVO<FinanceDetailVO> pageFinanceDetail(PageDTO pageDTO, FinanceDetailDTO financeDetailDTO);

    /**
     * 获取导出财务明细列表
     * @param financeDetailDTO
     * @return
     */
    List<FinanceDetailExcelVO> listExcelFinanceDetail(FinanceDetailDTO financeDetailDTO);
}
