/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.dto.shopcart;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author lhd
 * @date 2021-07-01 10:47:32
 */
public class AddShopCartItemsDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "需要添加的购物车信息集合", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<ChangeShopCartItemDTO> shopCartItemList;

    public List<ChangeShopCartItemDTO> getShopCartItemList() {
        return shopCartItemList;
    }

    public void setShopCartItemList(List<ChangeShopCartItemDTO> shopCartItemList) {
        this.shopCartItemList = shopCartItemList;
    }

    @Override
    public String toString() {
        return "BatchAddShopCartItemDTO{" +
                "shopCartItemList=" + shopCartItemList +
                '}';
    }
}
