/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.feign;

import com.tmerclub.cloud.api.product.feign.SkuComboFeignClient;
import com.tmerclub.cloud.common.order.vo.ShopCartItemVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;
import com.tmerclub.cloud.product.service.SkuComboService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Collections;
import java.util.List;

/**
 * @author FrozenWatermelon
 * @date 2020/12/8
 */
@DubboService
public class SkuComboFeignController implements SkuComboFeignClient {

    @Autowired
    private SkuComboService skuComboService;

    @Override
    public ServerResponseEntity<List<ShopCartItemVO>> getCombSpusBySkuId(Long skuId) {
        return ServerResponseEntity.success(skuComboService.getCombShopItemsAndBySkuIds(Collections.singletonList(skuId)));
    }
}
