/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.seckill.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serializable;
/**
 *
 *
 * @author FrozenWatermelon
 * @date 2023-11-23 15:32:01
 */
public class SeckillStockPointSku extends BaseModel implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 库存商品关联skuid
     */
    private Long seckillStockPointSkuId;

    /**
     * 库存点id
     */
    private Long stockPointId;

    /**
     * 库存点类型 1仓库 2门店
     */
    private Integer stockPointType;

    /**
     * sku_id
     */
    private Long skuId;

    /**
     * 秒杀活动skuid
     */
    private Long seckillSkuId;

    /**
     * 状态 1:enable, 0:disable, -1:deleted
     */
    private Integer status;

    /**
     * 仓库类型（0默认仓库，1区域仓库）
     */
    private Integer type;

    /**
     * 秒杀库存关联商品原始库存
     */
    private Integer seckillOriginStocks;

    public Integer getSeckillOriginStocks() {
        return seckillOriginStocks;
    }

    public void setSeckillOriginStocks(Integer seckillOriginStocks) {
        this.seckillOriginStocks = seckillOriginStocks;
    }

    public Long getSeckillStockPointSkuId() {
        return seckillStockPointSkuId;
    }

    public void setSeckillStockPointSkuId(Long seckillStockPointSkuId) {
        this.seckillStockPointSkuId = seckillStockPointSkuId;
    }

    public Long getStockPointId() {
        return stockPointId;
    }

    public void setStockPointId(Long stockPointId) {
        this.stockPointId = stockPointId;
    }

    public Integer getStockPointType() {
        return stockPointType;
    }

    public void setStockPointType(Integer stockPointType) {
        this.stockPointType = stockPointType;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getSeckillSkuId() {
        return seckillSkuId;
    }

    public void setSeckillSkuId(Long seckillSkuId) {
        this.seckillSkuId = seckillSkuId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "SeckillStockPointSku{" +
                "seckillStockPointSkuId=" + seckillStockPointSkuId +
                ", stockPointId=" + stockPointId +
                ", stockPointType=" + stockPointType +
                ", skuId=" + skuId +
                ", seckillSkuId=" + seckillSkuId +
                ", status=" + status +
                ", type=" + type +
                ", seckillOriginStocks=" + seckillOriginStocks +
                '}';
    }
}
