/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.user.feign;

import com.tmerclub.cloud.api.user.dto.UserScoreLockDTO;
import com.tmerclub.cloud.api.user.feign.UserScoreLockFeignClient;
import com.tmerclub.cloud.common.response.ServerResponseEntity;
import com.tmerclub.cloud.user.service.UserScoreLockService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * @author FrozenWatermelon
 * @date 2021/5/19
 */
@DubboService
public class UserScoreLockFeignController implements UserScoreLockFeignClient {

    @Autowired
    private UserScoreLockService userScoreLockService;

    @Override
    public ServerResponseEntity<Void> lock(List<UserScoreLockDTO> userScoreLocks) {
        userScoreLockService.lock(userScoreLocks);
        return ServerResponseEntity.success();
    }
}
