/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 等级-权益关联信息VO
 *
 * @author FrozenWatermelon
 * @date 2021-04-25 16:01:58
 */
public class UserLevelRightsVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "等级-权益关联id")
    private Long levelRightsId;

    @Schema(description = "等级id")
    private Long userLevelId;

    @Schema(description = "权益id")
    private Long rightsId;

    public Long getLevelRightsId() {
        return levelRightsId;
    }

    public void setLevelRightsId(Long levelRightsId) {
        this.levelRightsId = levelRightsId;
    }

    public Long getUserLevelId() {
        return userLevelId;
    }

    public void setUserLevelId(Long userLevelId) {
        this.userLevelId = userLevelId;
    }

    public Long getRightsId() {
        return rightsId;
    }

    public void setRightsId(Long rightsId) {
        this.rightsId = rightsId;
    }

    @Override
    public String toString() {
        return "UserLevelRightsVO{" +
                "levelRightsId=" + levelRightsId +
                ",createTime=" + createTime +
                ",userLevelId=" + userLevelId +
                ",rightsId=" + rightsId +
                '}';
    }
}
