package com.tmerclub.cloud.systemtest.api.order;


import com.tmerclub.cloud.order.dto.app.OrderRefundDTO;
import com.tmerclub.cloud.order.dto.app.OrderRefundDeliveryDTO;
import com.moyuer.cloud.systemtest.constants.Constant;
import com.moyuer.cloud.systemtest.util.HttpUtil;
import com.moyuer.cloud.systemtest.util.UrlEnum;


/**
 * @author Tu
 */
public class OrderRefundApi {
    /**
     * 申请退款
     */
    public static Long apply(OrderRefundDTO orderRefundParam){
        String url = Constant.API_URL+"/mall4cloud_order/order_refund/apply";
        return HttpUtil.post(url,orderRefundParam, UrlEnum.API, Long.class);
    }

    /**
     * 用户提交退款订单物流填写信息
     */
    public static void  submitExpress(OrderRefundDeliveryDTO orderRefundExpressParam){
        String url = Constant.API_URL+"/mall4cloud_order/order_refund/submit_express";
        HttpUtil.post(url,orderRefundExpressParam,UrlEnum.API);
    }

//    public static ApiOrderRefundDto infoUserByRefundSn(String refundSn){
//        String url = Constant.API_URL+"/p/orderRefund/info?refundSn="+refundSn;
//        return HttpUtil.get(url,ApiOrderRefundDto.class);
//    }
//
//    public static void cancel(String refundSn){
//        String url = Constant.API_URL+"/p/orderRefund/cancel";
//        HttpUtil.put(url,refundSn);
//    }
}
