/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.platform.mapper;

import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xxw
 * @version 1.0
 * @description:
 * @since 2024/1/9 10:13
 */
public interface SysAccessMenuPermissionMapper {
    /**
     * 根据sysAccessKeyId获取关联资源id
     * @param sysAccessKeyId
     * @return
     */
    List<Long> queryMenuPermsBySysAccessKeyId(@Param("sysAccessKeyId") Long sysAccessKeyId);

    /**
     * 保存系统密钥关联菜单资源id
     * @param menuPermsIdList
     * @param sysAccessKeyId
     */
    void saveSysAccessMenuPerms(@Param("sysAccessKeyId") Long sysAccessKeyId, @Param("menuPermsIdList") List<Long> menuPermsIdList);

    /**
     * 根据sysAccessKeyId删除关联资源id
     * @param sysAccessKeyId
     */
    void deletSysAccessMenuPermsBySysAccessKeyId(@Param("sysAccessKeyId") Long sysAccessKeyId);
}
