/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.supplier.constant;

/**
 * 供应商类型
 *
 * @author YXF
 */
public enum SupplierType {

    /**
     * 自营店
     */
    SELF_SHOP(1),
    /**
     * 其他供应商
     */
    STOP(2);

    private final Integer num;

    public Integer value() {
        return num;
    }

    SupplierType(Integer num) {
        this.num = num;
    }

    public static SupplierType instance(Integer value) {
        SupplierType[] enums = values();
        for (SupplierType statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
