/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.multishop.feign;

import com.tmerclub.cloud.api.multishop.vo.ShopRenovationVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @author track
 */
public interface ShopRenovationFeignClient {

    /**
     * 根据页面id获取页面信息
     * @param renovationId 页面id
     * @return 页面信息
     */
    ServerResponseEntity<ShopRenovationVO> getbyRenovationId(Long renovationId);
}
