/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.biz.feign;

import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @Author lth
 * @Date 2021/7/23 10:28
 */
public interface AttachFileFeignClient {

    /**
     * 获取未读消息数量
     * @param shopId
     * @return 数量
     */
    ServerResponseEntity<Void> updateShopIdByUid(Long shopId);

    /**
     * 根据文件路径获取文件类型
     * @param filePath
     * @return
     */
    ServerResponseEntity<String> getfileTypeByfilePath(String filePath);
}
