/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.distribution.bo;

import com.tmerclub.cloud.api.multishop.bo.ShopWalletBO;
import com.tmerclub.cloud.common.order.vo.OrderItemVO;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author cl
 * @date 2021-08-19 11:30:50
 */
public class DistributionNotifyOrderAndShopBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺钱包
     */
    private List<ShopWalletBO> shopWalletBOList;
    /**
     * 订单项
     */
    private List<OrderItemVO> distributionOrderItems;

    public List<ShopWalletBO> getShopWalletBOList() {
        return shopWalletBOList;
    }

    public void setShopWalletBOList(List<ShopWalletBO> shopWalletBOList) {
        this.shopWalletBOList = shopWalletBOList;
    }

    public List<OrderItemVO> getDistributionOrderItems() {
        return distributionOrderItems;
    }

    public void setDistributionOrderItems(List<OrderItemVO> distributionOrderItems) {
        this.distributionOrderItems = distributionOrderItems;
    }

    @Override
    public String toString() {
        return "DistributionNotifyOrderAndShopBO{" +
                "shopWalletBOList=" + shopWalletBOList +
                ", distributionOrderItems=" + distributionOrderItems +
                '}';
    }
}
