/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.order.bo;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author cdt
 * @date 2021/05/08
 */
public class UserScoreLogOrderBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单号
     */
    private Long orderId;

    /**
     * 积分订单总价
     */
    private Long actualTotal;

    /**
     * 积分商品单价
     */
    private Long scoreFee;

    /**
     * 积分商品数量
     */
    private Integer allCount;

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getActualTotal() {
        return actualTotal;
    }

    public void setActualTotal(Long actualTotal) {
        this.actualTotal = actualTotal;
    }

    public Long getScoreFee() {
        return scoreFee;
    }

    public void setScoreFee(Long scoreFee) {
        this.scoreFee = scoreFee;
    }

    public Integer getAllCount() {
        return allCount;
    }

    public void setAllCount(Integer allCount) {
        this.allCount = allCount;
    }

    @Override
    public String toString() {
        return "UserScoreLogOrderBO{" +
                "orderId=" + orderId +
                ", actualTotal=" + actualTotal +
                ", scoreFee=" + scoreFee +
                ", allCount=" + allCount +
                '}';
    }
}
