/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.order.constant;

/**
 * 订单状态
 * @author FrozenWatermelon
 * @date 2020/12/18
 */
public enum PurchaseOrderWaitStatus {

    /**
     * 无需采购
     */
    NOT_PURCHASE(0),
    /**
     * 待采购
     */
    WAIT_PURCHASE(1),

    /**
     * 采购完成
     */
    PURCHASED(2);

    private final Integer num;

    public Integer value() {
        return num;
    }

    PurchaseOrderWaitStatus(Integer num) {
        this.num = num;
    }

    public static PurchaseOrderWaitStatus instance(Integer value) {
        PurchaseOrderWaitStatus[] enums = values();
        for (PurchaseOrderWaitStatus typeEnum : enums) {
            if (typeEnum.value().equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }
}
