/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.order.vo;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户购物数据
 * @author cl
 * @date 2021-08-16 13:10:02
 */
public class UserShoppingDataVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 用户消费笔数
     */
    private Long expenseNumber;

    /**
     * 用户消费金额, (分)
     */
    private Long sumOfConsumption;

    public Long getExpenseNumber() {
        return expenseNumber;
    }

    public void setExpenseNumber(Long expenseNumber) {
        this.expenseNumber = expenseNumber;
    }

    public Long getSumOfConsumption() {
        return sumOfConsumption;
    }

    public void setSumOfConsumption(Long sumOfConsumption) {
        this.sumOfConsumption = sumOfConsumption;
    }

    @Override
    public String toString() {
        return "UserShoppingDataVO{" +
                "expenseNumber=" + expenseNumber +
                ", sumOfConsumption=" + sumOfConsumption +
                '}';
    }
}
