/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.feign;

import com.tmerclub.cloud.api.vo.EsPageVO;
import com.tmerclub.cloud.common.order.dto.OrderRefundSearchDTO;
import com.tmerclub.cloud.common.order.vo.EsOrderRefundVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * 退款订单搜索
 * @author YXF
 * @date 2022/08/24
 */
public interface SearchOrderRefundFeignClient {

    /**
     * 分页获取退款订单信息
     * @param orderRefundSearchDTO
     * @return
     */
    ServerResponseEntity<EsPageVO<EsOrderRefundVO>> pageOrderRefund(OrderRefundSearchDTO orderRefundSearchDTO);
}
