/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.cache.constant;

/**
 * @author FrozenWatermelon
 * @date 2020/11/23
 */
public interface CouponCacheNames {

    /**
     * 前缀
     */
    String COUPON_PREFIX = "mall4cloud_coupon:";

    /**
     * 店铺优惠券列表缓存key
     */
    String COUPON_LIST_BY_SHOP_KEY = COUPON_PREFIX + "coupon_list_by_shop:";

    /**
     *优惠券及关联商品列表缓存key
     */
    String COUPON_AND_SPU_DATA = COUPON_PREFIX + "coupon_by_coupon_id:";

    /**
     * 优惠券库存信息
     */
    String COUPON_STOCK = COUPON_PREFIX + "coupon_stock:";

    /**
     * 优惠券可用分片数量
     */
    String COUPON_STOCK_AVAILABLE_ZONE = COUPON_PREFIX + "coupon_stock_available_zone:";
}
