/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.product.constant;

/**
 * @Author lth
 * @Date 2021/5/25 9:13
 */
public enum SpuStatus {


    /**
     * 删除
     */
    DELETE(-1),
    /**
     * 下架
     */
    OFF_SHELF(0),
    /**
     * 上架
     */
    PUT_SHELF(1),
    /**
     * 平台下架
     */
    PLATFORM_OFF_SHELF(2),
    /**
     * 商品提交申请，等待平台审核
     */
    WAITAUDIT(3),
    /**
     * 发布|上架待审核
     */
    PUBLISH_WAIT_AUDIT(4);

    private final Integer num;

    public Integer value() {
        return num;
    }

    SpuStatus(Integer num) {
        this.num = num;
    }

    public static SpuStatus instance(Integer value) {
        SpuStatus[] enums = values();
        for (SpuStatus statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
