package com.tmerclub.cloud.common.product.constant;/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

/**
 * @author xxw
 * @date 2022/7/5 11:42
 * 发货方式
 */
public enum SupplierDeliveryType {
    /**
     * 供应商发货
     */
    SUPPLIER_DELIVERY(1),
    /**
     * 商家仓库发货
     */
    SHOP_DELIVERY(2);
    private final Integer value;

    SupplierDeliveryType(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }
}
