/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.security.constant;

/**
 * 输入的用户名类型枚举 1.username 2.mobile 3.email
 *
 * @author FrozenWatermelon
 * @date 2020/7/3
 */
public enum InputUserNameEnum {

    /**
     * 用户名
     */
    USERNAME(1),

    /**
     * 手机号
     */
    PHONE(2),

    /**
     * 邮箱
     */
    EMAIL(3),
    ;

    private final Integer value;

    public Integer value() {
        return value;
    }

    InputUserNameEnum(Integer value) {
        this.value = value;
    }

}
