/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.flow.service;

import com.tmerclub.cloud.flow.dto.FlowLogDTO;

/**
 * 流量分析
 *
 * @author YXF
 * @date 2021-05-21 15:25:19
 */
public interface FlowService {
    /**
     * 用户流量记录
     *
     * @param flowLogDTO
     */
    void log(FlowLogDTO flowLogDTO);

    /**
     * 支付成功记录
     * @param sysType
     * @param orderIds
     * @param userId
     */
    void paySuccessLog(Integer sysType, String orderIds, Long userId);


    /**
     * 统计用户流量记录
     */
    void statisticalFlowUserLog();

}
