/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.flow.task;

import com.tmerclub.cloud.flow.service.FlowService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 流量统计定时任务
 *
 * @author YXF
 * @date 2021-05-21
 */
@SuppressWarnings("rawtypes")
@Component
public class FlowTask {

    @Autowired
    private FlowService flowService;

    /**
     * 统计商品信息
     */
    @XxlJob("statisticalFlowData")
    public void statisticalFlowUserLog() {
        //根据当日数据，整合统计成用户、商品、用户端的数据 （当天用户操作数据初步统计）
        try {
            flowService.statisticalFlowUserLog();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
