/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.constant;

/**
 * 分布式id key
 *
 * @author FrozenWatermelon
 * @date 2021/4/9
 */
public interface DistributedIdKey {

    /**
     * 直播用户id uid
     */
    String MALL4CLOUD_LIVE_ROOM_USER = "mall4cloud-live-room-user";

    /**
     * 分销用户id
     */
    String MALL4CLOUD_DISTRIBUTION_USER = "mall4cloud-distribution-user";

    /**
     * 分销提现流水号
     */
    String MALL4CLOUD_DISTRIBUTION_WITHDRAW_ORDER = "mall4cloud-distribution-withdraw-order";

    /**
     * 领券记录id
     */
    String MALL4CLOUD_COUPON_USER = "mall4cloud-coupon-user";
}
