/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.distribution.vo;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author cl
 * @date 2021-08-18 15:21:12
 */
public class DistributionAwardDataVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 奖励数额(分)
     */
    private Long awardNumber;

    /**
     * 上级奖励数额(分)
     */
    private Long parentAwardNumber;

    /**
     * 奖励比例(0 按比例 1 按固定数值)
     */
    private Integer awardMode;

    public Long getAwardNumber() {
        return awardNumber;
    }

    public void setAwardNumber(Long awardNumber) {
        this.awardNumber = awardNumber;
    }

    public Long getParentAwardNumber() {
        return parentAwardNumber;
    }

    public void setParentAwardNumber(Long parentAwardNumber) {
        this.parentAwardNumber = parentAwardNumber;
    }

    public Integer getAwardMode() {
        return awardMode;
    }

    public void setAwardMode(Integer awardMode) {
        this.awardMode = awardMode;
    }

    @Override
    public String toString() {
        return "DistributionAwardDataVO{" +
                "awardNumber=" + awardNumber +
                ", parentAwardNumber=" + parentAwardNumber +
                ", awardMode=" + awardMode +
                '}';
    }
}
