/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.live.constant;

/**
 * 消息类型 0.心跳 1.弹幕消息 2.商品讲解状态变更 3.直播间状态变更 4.直播观看人数变更
 * @author TRACK
 */
public class MsgType {

    /**
     * 心跳
     */
    public static final int HEART_BEAT = 0;

    /**
     * 弹幕消息
     */
    public static final int BULLET_SCREEN = 1;

    /**
     * 商品讲解状态变更
     */
    public static final int EXPLAIN_STATUS = 2;

    /**
     * 直播间状态变更
     */
    public static final int LIVE_ROOM_STATUS = 3;

    /**
     * 直播观看人数变更
     */
    public static final int LIVE_USER_COUNT = 4;

}
