/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.delivery.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 指定条件包邮城市项DTO
 *
 * @author FrozenWatermelon
 * @date 2020-12-07 15:10:01
 */
public class TranscityFreeDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "指定条件包邮城市项id")
    private Long transcityFreeId;

    @Schema(description = "指定条件包邮项id")
    private Long transfeeFreeId;

    @Schema(description = "城市id")
    private Long freeCityId;

    public Long getTranscityFreeId() {
        return transcityFreeId;
    }

    public void setTranscityFreeId(Long transcityFreeId) {
        this.transcityFreeId = transcityFreeId;
    }

    public Long getTransfeeFreeId() {
        return transfeeFreeId;
    }

    public void setTransfeeFreeId(Long transfeeFreeId) {
        this.transfeeFreeId = transfeeFreeId;
    }

    public Long getFreeCityId() {
        return freeCityId;
    }

    public void setFreeCityId(Long freeCityId) {
        this.freeCityId = freeCityId;
    }

    @Override
    public String toString() {
        return "TranscityFreeDTO{" +
                "transcityFreeId=" + transcityFreeId +
                ",transfeeFreeId=" + transfeeFreeId +
                ",freeCityId=" + freeCityId +
                '}';
    }
}
