/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.order.service;


import com.tmerclub.cloud.api.order.dto.CustomerRetainedDTO;
import com.tmerclub.cloud.api.order.vo.CustomerRetainVO;

import java.util.List;

/**
 * 订单分析
 *
 * @author cl
 * @date 2021-05-25 09:13:02
 */
public interface OrderAnalysisService {

    /**
     * 获取用户的成交留存率
     * @param customerRetainedDTO 条件查询参数
     * @return 成交留存信息列表
     */
    List<CustomerRetainVO> getTradeRetained(CustomerRetainedDTO customerRetainedDTO);


    /**
     * 清除成交留存率换成
     * @param customerRetainedDTO 参数
     */
    void removeCacheTradeRetained(CustomerRetainedDTO customerRetainedDTO);
}
