/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.dto;

import com.tmerclub.cloud.api.product.dto.BrandShopDTO;
import jakarta.validation.Valid;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author lth
 * @Date 2021/5/13 17:29
 */
public class BrandSigningDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 签约的平台品牌列表
     */
    @Valid
    private List<BrandShopDTO> platformBrandList;

    /**
     * 签约的自定义品牌列表
     */
    @Valid
    private List<BrandShopDTO> customizeBrandList;

    public List<BrandShopDTO> getPlatformBrandList() {
        return platformBrandList;
    }

    public void setPlatformBrandList(List<BrandShopDTO> platformBrandList) {
        this.platformBrandList = platformBrandList;
    }

    public List<BrandShopDTO> getCustomizeBrandList() {
        return customizeBrandList;
    }

    public void setCustomizeBrandList(List<BrandShopDTO> customizeBrandList) {
        this.customizeBrandList = customizeBrandList;
    }

    @Override
    public String toString() {
        return "BrandSigningDTO{" +
                "platformBrandList=" + platformBrandList +
                ", customizeBrandList=" + customizeBrandList +
                '}';
    }
}
