/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商品浏览记录表
 *
 * @author YXF
 * @date 2021-03-19 14:28:14
 */
public class SpuBrowseLog extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商品浏览记录id
     */
    private Long spuBrowseLogId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 分类id
     */
    private Long categoryId;

    /**
     * 1:正常 -1:删除
     */
    private Integer status;

    /**
     * 商品类型
     */
    private Integer spuType;

    public Long getSpuBrowseLogId() {
        return spuBrowseLogId;
    }

    public void setSpuBrowseLogId(Long spuBrowseLogId) {
        this.spuBrowseLogId = spuBrowseLogId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getSpuType() {
        return spuType;
    }

    public void setSpuType(Integer spuType) {
        this.spuType = spuType;
    }

    @Override
    public String toString() {
        return "SpuBrowseLog{" +
                "spuBrowseLogId=" + spuBrowseLogId +
                ", userId=" + userId +
                ", spuId=" + spuId +
                ", categoryId=" + categoryId +
                ", status=" + status +
                ", spuType=" + spuType +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
