package com.tmerclub.cloud.product.service;/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

import com.tmerclub.cloud.common.order.vo.ShopCartItemVO;
import com.tmerclub.cloud.product.dto.shopcart.ChangeShopCartItemDTO;

import java.util.List;

/**
 * @author xxw
 * @date 2022/8/19 11:34
 */
public interface ComboShopCartService {
    /**
     * 加购时处理组装购物车套餐商品
     *
     * @param param
     * @param shopCartItems
     */
    void comboAddCart(ChangeShopCartItemDTO param, List<ShopCartItemVO> shopCartItems);

    /**
     * 修改时处理组装购物车套餐商品
     *
     * @param param
     * @param shopCartItems
     */
    void comboUpdateCart(ChangeShopCartItemDTO param, List<ShopCartItemVO> shopCartItems);
}
