/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author lth
 * @Date 2021/5/13 19:06
 */
public class BrandSigningVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "签约的平台品牌列表")
    private List<BrandShopVO> platformBrandList;

    @Schema(description = "签约的自定义品牌列表")
    private List<BrandShopVO> customizeBrandList;

    public List<BrandShopVO> getPlatformBrandList() {
        return platformBrandList;
    }

    public void setPlatformBrandList(List<BrandShopVO> platformBrandList) {
        this.platformBrandList = platformBrandList;
    }

    public List<BrandShopVO> getCustomizeBrandList() {
        return customizeBrandList;
    }

    public void setCustomizeBrandList(List<BrandShopVO> customizeBrandList) {
        this.customizeBrandList = customizeBrandList;
    }

    @Override
    public String toString() {
        return "BrandSigningDTO{" +
                "platformBrandList=" + platformBrandList +
                ", customizeBrandList=" + customizeBrandList +
                '}';
    }
}
