/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.seckill.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 秒杀分类信息DTO
 *
 * @author lhd
 * @date 2021-04-19 11:26:35
 */
public class SeckillCategoryDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "秒杀分类id")
    private Long categoryId;

    @Schema(description = "分类名称")
    private String name;

    @Schema(description = "排序")
    private Integer seq;

    @Schema(description = "分类ids")
    private List<Long> categoryIds;

    public List<Long> getCategoryIds() {
        return categoryIds;
    }

    public void setCategoryIds(List<Long> categoryIds) {
        this.categoryIds = categoryIds;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    @Override
    public String toString() {
        return "SeckillCategoryDTO{" +
                "categoryId=" + categoryId +
                ", name='" + name + '\'' +
                ", seq=" + seq +
                ", categoryIds=" + categoryIds +
                '}';
    }
}
