/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户提货人信息DTO
 *
 * @author FrozenWatermelon
 * @date 2020-12-15 17:18:56
 */
public class UserConsigneeDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long userConsigneeId;

    @Schema(description = "提货人姓名")
    private String name;

    @Schema(description = "提货人联系方式")
    private String mobile;

    public Long getUserConsigneeId() {
        return userConsigneeId;
    }

    public void setUserConsigneeId(Long userConsigneeId) {
        this.userConsigneeId = userConsigneeId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    @Override
    public String toString() {
        return "UserConsigneeDTO{" +
                "userConsigneeId=" + userConsigneeId +
                ",name=" + name +
                ",mobile=" + mobile +
                '}';
    }
}
