/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.user.service;

import com.tmerclub.cloud.user.bo.mongo.MongoPopupUserLogBO;
import com.tmerclub.cloud.user.model.CostPerPopup;

import java.util.List;

/**
 * 弹窗广告用户日志
 * @author TRACK
 */
public interface PopupUserLogService {

    /**
     * 删除弹窗广告记录
     * @param popupId
     */
    void removeByPopupId(Long popupId);

    /**
     * 保存弹窗日志
     * @param log
     */
    void save(MongoPopupUserLogBO log);

    /**
     * 根据条件获取
     * @param userId
     * @param uuid
     * @param costPerPopup
     * @return
     */
    List<MongoPopupUserLogBO> getByCondition(Long userId, Long uuid, CostPerPopup costPerPopup);
}
