/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.user.service;


import com.tmerclub.cloud.api.auth.dto.ThirdApiAbutmentUserDto;

/**
 * @author xxw
 * @version 1.0
 * @description: 第三方接口对接
 * @since 2023/12/18 15:02
 */
public interface ThirdApiAbutmenService {

    /**
     * 注册用户
     * @param thirdApiAbutmentUserDto
     */
    void regiserUser(ThirdApiAbutmentUserDto thirdApiAbutmentUserDto);

    /**
     * 更新用户
     * @param thirdApiAbutmentUserDto
     */
    void updateUser(ThirdApiAbutmentUserDto thirdApiAbutmentUserDto);


    /**
     * 禁用用户
     * @param userId
     */
    void disableUser(Long userId);
}
