
/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.user.vo;

import java.io.Serial;
import java.io.Serializable;

/**
 * 积分分类关联信息
 * @author lhd
 */
public class ScoreCategoryConfigVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 分类id
     */
    private Long categoryId;

    /**
     * 分类名称
     */
    private String categoryName;

    /**
     * 使用上限比例
     */
    private Double useScoreLimit;
    /**
     * 获取上限比例
     */
    private Double getScoreLimit;

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public Double getUseScoreLimit() {
        return useScoreLimit;
    }

    public void setUseScoreLimit(Double useScoreLimit) {
        this.useScoreLimit = useScoreLimit;
    }

    public Double getGetScoreLimit() {
        return getScoreLimit;
    }

    public void setGetScoreLimit(Double getScoreLimit) {
        this.getScoreLimit = getScoreLimit;
    }

    @Override
    public String toString() {
        return "ScoreCategoryConfigVO{" +
                "categoryId=" + categoryId +
                ", categoryName='" + categoryName + '\'' +
                ", useScoreLimit=" + useScoreLimit +
                ", getScoreLimit=" + getScoreLimit +
                '}';
    }
}
